#include <Wire.h>
#include <ds3231.h>

struct ts t;
char msg[20];

#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27, 20, 4);

void setup() {
  Serial.begin(9600);
  Wire.begin();
  DS3231_init(DS3231_CONTROL_INTCN);
  lcd.init();
  lcd.backlight();
  
//Décommenter les lignes suivantes pour régler l'heure et la date  
/*
  t.hour = 8;
  t.min = 28;
  t.sec = 0;
  t.mday = 28;
  t.mon = 12;
  t.year = 2022;
  DS3231_set(t);
*/
}

void loop() {
  DS3231_get(&t);
  sprintf(msg, "%02d:%02d:%02d", t.hour, t.min, t.sec);
  Serial.println(msg);
  lcd.setCursor(6, 1);
  lcd.print(msg);
  sprintf(msg, "%02d/%02d/%02d", t.mday, t.mon, t.year);
  Serial.println(msg);
  lcd.setCursor(5, 2);
  lcd.print(msg);
  delay(1000);
}